$ oc get prs windows-customize-test -n openshift-cnv -o yaml
apiVersion: tekton.dev/v1
kind: PipelineRun
metadata:
  annotations:
    chains.tekton.dev/signed: "true"
    description: windows-customize pipeline provides functionality for windows VMs
      to e.g. install sql server, or install VS Code into windows VM. This pipeline
      can be reused for customizing Windows 10 and 11.
    operator-sdk/primary-resource: openshift-cnv/ssp-kubevirt-hyperconverged
    operator-sdk/primary-resource-type: SSP.ssp.kubevirt.io
  creationTimestamp: "2023-07-10T14:36:56Z"
  finalizers:
  - chains.tekton.dev/pipelinerun
  generation: 1
  labels:
    app.kubernetes.io/component: tektonPipelines
    app.kubernetes.io/managed-by: ssp-operator
    app.kubernetes.io/name: tekton-pipelines
    app.kubernetes.io/part-of: hyperconverged-cluster
    app.kubernetes.io/version: 4.14.0
    created-by-dynamic-class-creator: "Yes"
    tekton.dev/pipeline: windows-customize
  name: windows-customize-test
  namespace: openshift-cnv
  resourceVersion: "2027975"
  uid: fc9767d1-7049-467c-b9ae-625f7c0db316
spec:
  params:
  - name: allowReplaceCustomizationTemplate
    value: "true"
  - name: allowReplaceGoldenTemplate
    value: "true"
  - name: sourceTemplateName
    value: windows10-desktop-large
  - name: customizeTemplateName
    value: windows10-desktop-large-customize-vs-code
  - name: goldenTemplateName
    value: windows10-desktop-large-golden-vs-code
  - name: preferenceName
    value: windows10sver
  - name: sourceDiskImageName
    value: win10
  - name: baseDvName
    value: win10-customized
  - name: winImageDownloadURL
    value: http://cnv-qe-server.rhos-psi.cnv-qe.rhood.us/files/cnv-tests/windows-images/install_iso/win10/Win10_22H2_English_x64.iso
  pipelineRef:
    name: windows-customize
  taskRunTemplate:
    serviceAccountName: pipeline
  timeouts:
    pipeline: 1h0m0s
status:
  childReferences:
  - apiVersion: tekton.dev/v1beta1
    kind: TaskRun
    name: windows-customize-test-copy-vm-root-disk
    pipelineTaskName: copy-vm-root-disk
  - apiVersion: tekton.dev/v1beta1
    kind: TaskRun
    name: windows-customize-test-create-vm
    pipelineTaskName: create-vm
  completionTime: "2023-07-10T14:39:27Z"
  conditions:
  - lastTransitionTime: "2023-07-10T14:39:27Z"
    message: 'Tasks Completed: 2 (Failed: 1, Cancelled 0), Skipped: 2'
    reason: Failed
    status: "False"
    type: Succeeded
  pipelineSpec:
    finally:
    - name: cleanup-vm
      params:
      - name: vmName
        value: $(tasks.create-vm.results.name)
      - name: vmNamespace
        value: $(tasks.create-vm.results.namespace)
      - name: delete
        value: "true"
      taskRef:
        kind: Task
        name: cleanup-vm
      timeout: 10m0s
    params:
    - default: u1.large
      description: Name of VirtualMachineClusterInstancetype object
      name: instanceTypeName
      type: string
    - default: VirtualMachineClusterInstancetype
      description: Kind of VirtualMachineInstancetype object
      name: instanceTypeKind
      type: string
    - default: windows.11
      description: Name of VirtualMachineClusterPreference object
      name: preferenceName
      type: string
    - default: VirtualMachineClusterPreference
      description: Kind of virtualMachinePreference object
      name: virtualMachinePreferenceKind
      type: string
    - default: windows-vs-code
      description: Name of the ConfigMap containing the customization and sysprep
        configuration files (unattend.xml, etc.). For example windows10-sqlserver
        or windows11-vs-code. It is possible to provide customize ConfigMaps created
        by the user too.
      name: customizeConfigMapName
      type: string
    - default: win11
      description: Name of the windows source disk which will be copied and modified
        with sysprep
      name: sourceDiskImageName
      type: string
    - default: openshift-virtualization-os-images
      description: Namespace of the windows source disk which will be copied and modified
        with sysprep
      name: sourceDiskImageNamespace
      type: string
    - default: win11-customized
      description: Name of the result windows disk
      name: baseDvName
      type: string
    - default: openshift-virtualization-os-images
      description: Namespace of the result windows disk
      name: baseDvNamespace
      type: string
    results:
    - description: Name of the created base DataVolume
      name: baseDvName
      value: $(tasks.copy-vm-root-disk.results.name)
    - description: Namespace of the created base DataVolume
      name: baseDvNamespace
      value: $(tasks.copy-vm-root-disk.results.namespace)
    tasks:
    - name: copy-vm-root-disk
      params:
      - name: manifest
        value: "apiVersion: cdi.kubevirt.io/v1beta1\nkind: DataVolume\nmetadata:\n
          \ annotations:\n    \"cdi.kubevirt.io/storage.bind.immediate.requested\":
          \"true\"\n  name: win10-customized\n  namespace: openshift-virtualization-os-images\nspec:\n
          \ storage: {}\n  source: \n    pvc:\n      name: win10\n      namespace:
          openshift-virtualization-os-images"
      - name: waitForSuccess
        value: "true"
      - name: allowReplace
        value: "true"
      taskRef:
        kind: Task
        name: modify-data-object
    - name: create-vm
      params:
      - name: runStrategy
        value: RerunOnFailure
      - name: manifest
        value: "apiVersion: kubevirt.io/v1\nkind: VirtualMachine\nmetadata:\n  generateName:
          windows-customize-\n  namespace: openshift-virtualization-os-images\nspec:\n
          \ instancetype:\n    kind: VirtualMachineClusterInstancetype\n    name:
          u1.large\n  preference:\n    kind: VirtualMachineClusterPreference\n    name:
          windows10sver\n  template:\n    spec:\n      domain:\n        devices:\n
          \         disks:\n            - disk:\n                bus: virtio\n              name:
          rootdisk\n              bootOrder: 1\n            - cdrom:\n                bus:
          sata\n              name: sysprep\n      volumes:\n      - name: sysprep\n
          \       sysprep:\n          configMap: \n            name: windows-vs-code\n
          \     - dataVolume:\n          name:  $(tasks.copy-vm-root-disk.results.name)\n
          \       name: rootdisk"
      runAfter:
      - copy-vm-root-disk
      taskRef:
        kind: Task
        name: create-vm-from-manifest
    - name: wait-for-vmi-status
      params:
      - name: vmiName
        value: $(tasks.create-vm.results.name)
      - name: vmiNamespace
        value: $(tasks.create-vm.results.namespace)
      - name: successCondition
        value: status.phase == Succeeded
      - name: failureCondition
        value: status.phase in (Failed, Unknown)
      runAfter:
      - create-vm
      taskRef:
        kind: Task
        name: wait-for-vmi-status
      timeout: 2h0m0s
  results:
  - name: baseDvName
    value: win10-customized
  - name: baseDvNamespace
    value: openshift-virtualization-os-images
  skippedTasks:
  - name: wait-for-vmi-status
    reason: PipelineRun was stopping
  - name: cleanup-vm
    reason: Results were missing
  startTime: "2023-07-10T14:36:56Z"

